What "breaks" if you move to TLS 1.2 exclusively

If you are considering moving to a support model of only TLS 1.2, here's a list (probably not definitive) of what breaks due to lack of protocol support.

Android

Android 2.3.7 - Server sent fatal alert: protocol_version
Android 4.0.4 - Server sent fatal alert: protocol_version
Android 4.1.1 - Server sent fatal alert: protocol_version
Android 4.2.2 - Server sent fatal alert: protocol_version
Android 4.3 - Server sent fatal alert: protocol_version

Misc

Baidu Jan 2015 - Server sent fatal alert: protocol_version

Internet Explorer

IE 6 / XP - Server closed connection
IE 7 / Vista - Server sent fatal alert: protocol_version
IE 8 / XP - Server sent fatal alert: protocol_version
IE 8-10 / Win 7 R - Server sent fatal alert: protocol_version
IE 10 / Win Phone 8.0 - Server sent fatal alert: protocol_version

Firefox

Firefox versions < v30

Chrome

Chrome versions < v27

Opera

Opera version < v12.18

Java

Java 6u45 - Server closed connection
Java 7u25 - Server sent fatal alert: protocol_version

OpenSSL

OpenSSL 0.9.8y Server sent fatal alert: protocol_version

Safari

Safari 5.1.9 / OS X 10.6.8 - Server sent fatal alert: protocol_version
Safari 6.0.4 / OS X 10.8.4 R - Server sent fatal alert: protocol_version
Safari Mobile - iOS versions before iOS 5